<%@ page import="sms.*,java.text.*,java.util.*" %>
<%@ include file="common/common.jsp" %>

<%
    String errormessage = "";
    boolean error = false;
    
	// And lets send the message
	try
	{
		
		// Fetch our parameters
		String to = request.getParameter("to");
		String message = request.getParameter("message");
		boolean reports = "true".equals(request.getParameter("reports"));
		Date valid = null;
		
		String date = request.getParameter("valid");
		
		if(date != null  && !"".equals(date))
		{
			SimpleDateFormat sdf = new SimpleDateFormat(DATE_FORMAT);
			valid = sdf.parse(date);
		}
		
		// And we send the message using our account.
		account.send(to,message,reports,valid);
		
	}
	catch(Exception e)
	{
		// Failed, save the message so that we can show it
		error = true;
		errormessage = e.getClass().getName() + "::" + e.getMessage();
	}
%>
<html>

<head>
<title>Send SMS</title>
<link rel="stylesheet" href="style.css">
</head>

<body>
<%
	// Lets render the result
	
	out.write("<span class='pageheading'>Sent SMS message</span>");
	out.write("<br/><br/>");
		
	if(error)
	{
		// Failed
		out.write("<span class='label'>Failed!</span><br/>");
		out.write("<span class='plainred'>" + errormessage + "</span><br/>");

	}
	else
	{
		// Successful
		out.write("<span class='label'>Success!</span>");
	}
%>
</body>

</html>
